<!--
 * @Date: 2024-05-22 23:18:15
 * @LastEditors: Sneed
 * @LastEditTime: 2024-05-26 16:04:41
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/dnc/station-file/Log.vue
-->
<template>
    <el-container>
        <el-header>
            <el-input v-model="params.name" style="width: 240px;margin-left: 8px;" placeholder="Please input">
                <template #prefix>文件名称</template>
            </el-input>
            <el-select v-model="params.typeId" style="width: 240px;margin-left: 8px;">
                <template #prefix>
                    文件类型
                </template>
                <el-option v-for="item in options.typeId" :key="item.value" :label="item.label" :value="item.value" />
            </el-select>
            <el-date-picker style="width: 260px;flex-grow: 0;margin-left: 8px;" v-model="params.name" type="daterange"
                range-separator="-" start-placeholder="操作开始时间" end-placeholder="操作结束时间">
            </el-date-picker>
            <el-select v-model="params.typeId" style="width: 240px;margin-left: 8px;margin-right: auto;">
                <template #prefix>
                    操作类型
                </template>
                <el-option v-for="item in options.typeId" :key="item.value" :label="item.label" :value="item.value" />
            </el-select>
        </el-header>
        <el-main >
            <scTable v-if="id" highlight-current-row @dataChange="dataChange" @row-click="rowClick" ref="table" :params="params"
                :apiObj="apiObj" @selection-change="selectionChange" stripe>
                <el-table-column label="文件名称" prop="fileName">
                </el-table-column>
                <el-table-column label="版本" prop="version"></el-table-column>
                <el-table-column label="操作人员" prop="operatorName"></el-table-column>
                <el-table-column label="操作类型" prop="operationTypeDesc"></el-table-column>
                <el-table-column label="操作结果" prop="operationResponse"></el-table-column>
                <el-table-column label="源路径" prop="sourcePathName"></el-table-column>
                <el-table-column label="目标路径" prop="targetPathName"></el-table-column>
                <el-table-column label="操作时间" prop="operationTime"></el-table-column>
            </scTable>
        </el-main>
    </el-container>
</template>

<script>
export default {
    props: {
        id: {
            type: String
        }
    },
    watch: {
        id(val) {
            this.$nextTick(() => {
                val && this.$refs?.table?.reload()
            })
        }
    },
    data() {
        return {
            params: {
                name: ''
            },
            options: {
                typeId: []
            },
            apiObj: {
                get: async (data) => {
                    let params = {
                        current: data.current,
                        size: data.size
                    }
                    return await this.$HTTP.post(`/api/blade-dnc/operation-file/page/${this.id}`, {}, { params,data:this.params }).then(res => {
                        return res
                    })
                }
            }
        }
    },
    methods: {
        dataChange (data) {
            console.log(data)
        }
    }
}
</script>

<style lang="scss" scoped></style>